[Mesa-dev] [PATCH v2 08/23] glsl/tests/optimisation-test: make sure that $PYTHON2 is set/available

Emil Velikov emil.l.velikov at gmail.com
Fri Mar 17 13:19:34 UTC 2017


From: Emil Velikov <emil.velikov at collabora.com>

Otherwise we'll fail when invoking the script outside of "make check"

v2: use -ne over a string comparison (Eric)

Signed-off-by: Emil Velikov <emil.velikov at collabora.com>
Reviewed-by: Eric Engestrom <eric.engestrom at imgtec.com>
---
 src/compiler/glsl/tests/optimization-test.sh | 10 ++++++++++
 1 file changed, 10 insertions(+)

diff --git a/src/compiler/glsl/tests/optimization-test.sh b/src/compiler/glsl/tests/optimization-test.sh
index dc9740f69f4..7410db64f14 100755
--- a/src/compiler/glsl/tests/optimization-test.sh
+++ b/src/compiler/glsl/tests/optimization-test.sh
@@ -6,6 +6,16 @@ else
    compare_ir=./compare_ir.py
 fi
 
+if [ -z "$PYTHON2" ]; then
+    PYTHON2=python2
+fi
+
+which $PYTHON2 >/dev/null
+if [ $? -ne 0 ]; then
+    echo "Could not find python2. Make sure that PYTHON2 variable is correctly set."
+    exit 1
+fi
+
 total=0
 pass=0
 
-- 
2.11.1



More information about the mesa-dev mailing list